# Uses of Interface
com.logicaldoc.core.generic.GenericDAO

Packages that use GenericDAO
Package
Description
com.logicaldoc.core.generic
Contains the definitions of `Generic` that is a persistent object used as a general way to store informations in the database
com.logicaldoc.core.security.user
Definition of the User object and ancillary objects

## Uses of GenericDAO in com.logicaldoc.core.generic

Classes in com.logicaldoc.core.generic that implement GenericDAO
Modifier and Type
Class
Description
`class`
`HibernateGenericDAO`
Hibernate implementation of `GenericDAO`
Methods in com.logicaldoc.core.generic that return GenericDAO
Modifier and Type
Method
Description
`static GenericDAO`
GenericDAO.`get()`
Gets the object available in the application context

## Uses of GenericDAO in com.logicaldoc.core.security.user

Methods in com.logicaldoc.core.security.user with parameters of type GenericDAO
Modifier and Type
Method
Description
`void`
HibernateUserDAO.`setGenericDAO(GenericDAO genericDAO)`